Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class ApplicationExceptionTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.ApplicationExceptionTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ApplicationExceptionType<T>

    public class ApplicationExceptionTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ApplicationExceptionType<T>

This class implements the `application-exceptionType` xsd type

Original Documentation:

The application-exceptionType declares an application
exception. The declaration consists of:
- the exception class. When the container receives
an exception of this type, it is required to
forward this exception as an applcation exception
to the client regardless of whether it is a checked
or unchecked exception.
- an optional rollback element. If this element is
set to true, the container must rollback the current
transaction before forwarding the exception to the
client. If not specified, it defaults to false.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ApplicationExceptionTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ApplicationExceptionTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getExceptionClass()` Returns the `exception-class` element
`java.lang.Boolean` | `isRollback()` Returns the `rollback` element
`ApplicationExceptionType<T>` | `removeExceptionClass()` Removes the `exception-class` element
`ApplicationExceptionType<T>` | `removeRollback()` Removes the `rollback` element
`ApplicationExceptionType<T>` | `setExceptionClass(java.lang.String exceptionClass)` If not already created, a new `exception-class` element with the given value will be created.
`ApplicationExceptionType<T>` | `setRollback(java.lang.Boolean rollback)` If not already created, a new `rollback` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationExceptionTypeImpl

    public ApplicationExceptionTypeImpl(T t,
                                        java.lang.String nodeName,
                                        org.jboss.shrinkwrap.descriptor.spi.Node node)

### ApplicationExceptionTypeImpl

    public ApplicationExceptionTypeImpl(T t,
                                        java.lang.String nodeName,
                                        org.jboss.shrinkwrap.descriptor.spi.Node node,
                                        org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setExceptionClass

    public ApplicationExceptionType<T> setExceptionClass(java.lang.String exceptionClass)

  If not already created, a new `exception-class` element with the given value will be created. Otherwise, the existing `exception-class` element will be updated with the given value.

  Specified by:
    `setExceptionClass` in interface `ApplicationExceptionType<T>`
  Returns:
    the current instance of `ApplicationExceptionType`

### removeExceptionClass

    public ApplicationExceptionType<T> removeExceptionClass()

  Removes the `exception-class` element

  Specified by:
    `removeExceptionClass` in interface `ApplicationExceptionType<T>`
  Returns:
    the current instance of `ApplicationExceptionType`

### getExceptionClass

    public java.lang.String getExceptionClass()

  Returns the `exception-class` element

  Specified by:
    `getExceptionClass` in interface `ApplicationExceptionType<T>`
  Returns:
    the node defined for the element `exception-class`

### setRollback

    public ApplicationExceptionType<T> setRollback(java.lang.Boolean rollback)

  If not already created, a new `rollback` element with the given value will be created. Otherwise, the existing `rollback` element will be updated with the given value.

  Specified by:
    `setRollback` in interface `ApplicationExceptionType<T>`
  Returns:
    the current instance of `ApplicationExceptionType`

### removeRollback

    public ApplicationExceptionType<T> removeRollback()

  Removes the `rollback` element

  Specified by:
    `removeRollback` in interface `ApplicationExceptionType<T>`
  Returns:
    the current instance of `ApplicationExceptionType`

### isRollback

    public java.lang.Boolean isRollback()

  Returns the `rollback` element

  Specified by:
    `isRollback` in interface `ApplicationExceptionType<T>`
  Returns:
    the node defined for the element `rollback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD